RM(1)

NOMBRE
rm - borra archivos o directorios

SINOPSIS
rm [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN
Esta página de manual documenta la versión GNU de rm. Esta aplicación elimina cada uno de los archivos dados. Por defecto, no elimina directorios.

Si se dan las opciones -I, o --interactive=once; si hay más de tres archivos o se dan las opciones -r, -R, o --recursive, rm pregunta al usuario cómo proceder con la orden dada. Si no la respuesta no es afirmativa, no se ejecuta nada.

De lo contrario, si un archivo no tiene permiso de escritura, la entrada estándar es una terminal y no se dan las opciones -f o --force, o si se dan las opciones -i o - interactive = always, rm pregunta al usuario si desea eliminar el archivo. Si la respuesta no es afirmativa, se salta el archivo.

OPCIONES

Borra (desenlaza) los ARCHIVO(s).

-f, --force
    descarta los ficheros y argumentos que no existan, sin preguntar

-i  pregunta antes de cada borrado

-I  pregunta una vez antes de borrar más de tres ficheros, o cuando se borra recursivamente; menos intrusivo que -i, pero todavía protege contra la mayoría de las equivocaciones

--interactive[=CUÁNDO]
    pregunta de acuerdo con CUÁNDO: never (nunca), once (una vez, -I), o always (siempre, -i); sin CUÁNDO, pregunta siempre

--one-file-system
    cuando se borra una jerarquía recursivamente, salta cualquier directorio que esté en un sistema de archivos distinto de aquel que corresponde con el argumento de la línea de órdenes

--no-preserve-root
    no trata '/' de forma especial

--preserve-root[=all]
    No elimina '/' (por defecto) con 'all', rechazará cualquier argumento de un dispositivo separado de su predecesor

-r, -R, --recursive
    borra los contenidos de los directorios recursivamente

-d, --dir
    borra los directorios vacíos

-v, --verbose
    explica lo que va haciendo

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Por omisión, rm no borra directorios. Utilice la opción --recursive (-r o -R) para borrar también cada directorio listado, junto con todo su contenido.

Para borrar un fichero cuyo nombre comience con un '-', por ejemplo '-fu', utilice una de las siguientes órdenes:

    rm -- -fu

    rm ./-fu

Tenga en cuenta que si utiliza rm para borrar un fichero, podría ser posible recuperar algo de su contenido, con suficiente experiencia y/o tiempo. Si quiere mayor seguridad de que el contenido es realmente irrecuperable, considere el uso de shred(1).

AUTOR
Escrito por Paul Rubin, David MacKenzie, Richard M. Stallman y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
unlink(1), unlink(2), chattr(1), shred(1)

Documentación completa: <https://www.gnu.org/software/coreutils/rm>
también puede acceder de forma local ejecutando: info '(coreutils) rm invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.